ControlButtonContainer (install4j API)
Description: declaration: package: com.install4j.api.styles, interface: ControlButtonContainer

# Interface ControlButtonContainer

All Known Subinterfaces:
  `Style`

All Known Implementing Classes:
  `AbstractStyle, WrapperStyle`

public interface ControlButtonContainer
Implemented by objects that handle navigation functionality. All `Style` instances implement this interface, but a `FormComponent` can also implement it. In that case, the interface methods are only called if the form component is used in a style. If a form component only wants to handle a single control button type, it should implement `ControlButton` instead.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `focusControlButton(ControlButtonType controlButtonType)`
  Called when a control button is focused.
  `void`
  `setControlButtonEnabled(ControlButtonType controlButtonType, boolean enabled)`
  Called when the enabled state of a control button is changed.
  `void`
  `setControlButtonText(ControlButtonType controlButtonType, String text)`
  Called when a control button text is changed.
  `void`
  `setControlButtonVisible(ControlButtonType controlButtonType, boolean visible)`
  Called when the visibility of a control button is changed.

- ## Method Details

  - ### setControlButtonEnabled

    void setControlButtonEnabled(ControlButtonType controlButtonType, boolean enabled)
    Called when the enabled state of a control button is changed. This is called by the framework as required, but it can also be triggered programmatically by a call to `WizardContext.setControlButtonEnabled(ControlButtonType, boolean)`.
    Parameters:
      `controlButtonType` - the control button type
      `enabled` - `true` or `false`

  - ### setControlButtonVisible

    void setControlButtonVisible(ControlButtonType controlButtonType, boolean visible)
    Called when the visibility of a control button is changed. This is called by the framework as required, but it can also be triggered programmatically by a call to `WizardContext.setControlButtonVisible(ControlButtonType, boolean)`.
    Parameters:
      `controlButtonType` - the control button type
      `visible` - `true` or `false`

  - ### setControlButtonText

    void setControlButtonText(ControlButtonType controlButtonType, String text)
    Called when a control button text is changed. This is called for all control button types each time when a screen is activated, but it can also be triggered programmatically by a call to `WizardContext.setControlButtonText(ControlButtonType, String)`.
    Parameters:
      `controlButtonType` - the control button type
      `text` - the text for the button

  - ### focusControlButton

    void focusControlButton(ControlButtonType controlButtonType)
    Called when a control button is focused. This is triggered programmatically by a call to `WizardContext.focusControlButton(ControlButtonType)`.